### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbformat.v2.convert`

Code for converting notebooks to and from the v2 format.

Authors:

- Brian Granger
- Jonathan Frederic

## 2 Functions

`IPython.nbformat.v2.convert.``upgrade`(nb, from_version=1)

  Convert a notebook to the v2 format.

  Parameters :

  nb : NotebookNode

  > The Python representation of the notebook to convert.

  from_version : int

  > The version of the notebook to convert from.

`IPython.nbformat.v2.convert.``downgrade`(nb)

  Convert a v2 notebook to v1.

  Parameters :

  nb : NotebookNode

  > The Python representation of the notebook to convert.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »